TagDefTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.tagshandler.TagDefTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.tagshandler
Class TagDefTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.TagDefTagsHandler

public class TagDefTagsHandler
extends XDocletTagSupport

The implementation of TagDef template tag. It's mainly designed for use by end users that want to define template tags of their own but don't want to touch xdoclet's tag mapping file and modify the jar file.

Version:
  $Revision: 1.8 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="TagDef"
created
  Nov 11, 2001

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`TagDefTagsHandler()`

Method Summary
`String` | `tagDef(Properties attributes)` Defines a template tag handler for a template tag to TemplateEngine.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagDefTagsHandler

    public TagDefTagsHandler()

Method Detail

### tagDef

    public String tagDef(Properties attributes)
                  throws XDocletException

  Defines a template tag handler for a template tag to TemplateEngine.

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"
  doc.param
    name="namespace" optional="false" description="The template namespace name, 'Merge' for example if we were to define template namespace 'Merge' this way.", name="handler" optional="false" description="The template tag handler full qualified class name. It's the class that implements tags of namespace. It should be a public class, with a no argument public constructor, and should extend xdoclet.XDocletTagSupport."

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD